/*
 * Copyright (C) 2006-2007 Zimbra, Inc.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU Lesser General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 */

#ifndef __E_BOOK_BACKEND_ZIMBRA_H__
#define __E_BOOK_BACKEND_ZIMBRA_H__

#include <libedata-book/e-book-backend-sync.h>

#define E_TYPE_BOOK_BACKEND_ZIMBRA \
        (e_book_backend_zimbra_get_type ())
#define E_BOOK_BACKEND_ZIMBRA(obj) \
        (G_TYPE_CHECK_INSTANCE_CAST \
        ((obj), E_TYPE_BOOK_BACKEND_ZIMBRA, EBookBackendZimbra))
#define E_BOOK_BACKEND_ZIMBRA_CLASS(cls) \
        (G_TYPE_CHECK_CLASS_CAST \
        ((cls), E_TYPE_BOOK_BACKEND_ZIMBRA, EBookBackendZimbraClass))
#define E_IS_BOOK_BACKEND_ZIMBRA(obj) \
        (G_TYPE_CHECK_INSTANCE_TYPE \
        ((obj), E_TYPE_BOOK_BACKEND_ZIMBRA))
#define E_IS_BOOK_BACKEND_ZIMBRA_CLASS(cls) \
        (G_TYPE_CHECK_CLASS_TYPE \
        ((cls), E_TYPE_BOOK_BACKEND_ZIMBRA))
#define E_BOOK_BACKEND_ZIMBRA_GET_CLASS(cls) \
        (G_TYPE_INSTANCE_GET_CLASS \
        ((obj), E_TYPE_BOOK_BACKEND_ZIMBRA, EBookBackendZimbraClass))

G_BEGIN_DECLS

typedef struct _EBookBackendZimbra EBookBackendZimbra;
typedef struct _EBookBackendZimbraClass EBookBackendZimbraClass;
typedef struct _EBookBackendZimbraPrivate EBookBackendZimbraPrivate;

struct _EBookBackendZimbra
{
        EBookBackend parent;
        EBookBackendZimbraPrivate *priv;
};

struct _EBookBackendZimbraClass
{
        EBookBackendClass parent_class;
};

GType           e_book_backend_zimbra_get_type  (void);
EBookBackend *  e_book_backend_zimbra_new       (void);

G_END_DECLS

#endif /* __E_BOOK_BACKEND_ZIMBRA_H__ */
